Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020521
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2012-05-16 08:532012-05-25 12:13
ReportersureshbabuView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revisionfe2c795d516d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP10.1SCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesOpenbravo 3.0
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020521: All the Combo box's that are listing weekdays are sorted wrongly by alphabetical order instead of day wise

DescriptionAll the Combo box's that are listing weekdays are sorted wrongly by alphabetical order instead of day wise
Steps To ReproduceStep 1: Navigate to Master Data Management || Business Partner Setup || Payment terms
Step 2: Click "Create a new record in form view" icon in the right side of the page
Step 3: In the header, click the 'Overdue Payment Day Rule' list box,


Defect: values are sorted wrongly by Alphabetical (ascending) order instead of day wise like Monday, Tuesday, Wednesday..
TagsNo tags attached.
Attached Filespng file icon Week days are wrongly sorted in Alphabhetic order instead of day wise.PNG [^] (100,954 bytes) 2012-05-16 08:53

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0048685)
alostale (developer)
2012-05-16 10:14

Use sequence number in list reference to proper sorting
(0048701)
naiaramartinez (developer)
2012-05-16 13:41

Test Plan:
  Go to Payment Term window.
  Create a new record. Click the 'Overdue Payment Day Rule' list box and notice that week days are shorted correctly.
(0048781)
hgbot (developer)
2012-05-18 20:05

Repository: erp/devel/pi
Changeset: fe2c795d516d1caa8b0043a18728d26093e63f76
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Wed May 16 13:39:26 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fe2c795d516d1caa8b0043a18728d26093e63f76 [^]

fixed bug 20521 In weekdays list fill Seq Number to short correctly week days.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0048782)
mirurita (developer)
2012-05-18 20:07

code review + testing OK

Weeks days ordered: Monday -> Sunday
(0049173)
hudsonbot (developer)
2012-05-25 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-05-16 08:53 sureshbabu New Issue
2012-05-16 08:53 sureshbabu Assigned To => dbaz
2012-05-16 08:53 sureshbabu File Added: Week days are wrongly sorted in Alphabhetic order instead of day wise.PNG
2012-05-16 08:53 sureshbabu Web browser => Google Chrome
2012-05-16 08:53 sureshbabu Modules => Openbravo 3.0
2012-05-16 10:14 alostale Assigned To dbaz => mirurita
2012-05-16 10:14 alostale Note Added: 0048685
2012-05-16 13:41 naiaramartinez Note Added: 0048701
2012-05-18 20:05 hgbot Checkin
2012-05-18 20:05 hgbot Note Added: 0048781
2012-05-18 20:05 hgbot Status new => resolved
2012-05-18 20:05 hgbot Resolution open => fixed
2012-05-18 20:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fe2c795d516d1caa8b0043a18728d26093e63f76 [^]
2012-05-18 20:07 mirurita Note Added: 0048782
2012-05-18 20:07 mirurita Status resolved => closed
2012-05-18 20:07 mirurita Fixed in Version => 3.0MP12
2012-05-25 12:13 hudsonbot Checkin
2012-05-25 12:13 hudsonbot Note Added: 0049173


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker